package com.zhgd.xmgl.config;

import org.springframework.stereotype.Component;

/**
 * @program: wisdomSite
 * @description:
 * @author: Mr.Peng
 * @create: 2021-08-05 11:07
 **/
@Component
public class CustomizationBean  {
    //implements WebServerFactoryCustomizer<UndertowServletWebServerFactory>
    /*@Override
    public void customize(UndertowServletWebServerFactory factory) {
        factory.addDeploymentInfoCustomizers(deploymentInfo -> {
            WebSocketDeploymentInfo webSocketDeploymentInfo = new WebSocketDeploymentInfo();
            webSocketDeploymentInfo.setBuffers(new DefaultByteBufferPool(false, 1024));
            deploymentInfo.addServletContextAttribute("io.undertow.websockets.jsr.WebSocketDeploymentInfo", webSocketDeploymentInfo);
        });
    }*/
}
